<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:util="http://www.springframework.org/schema/util"
       xmlns="http://www.springframework.org/schema/beans"
       xsi:schemaLocation="http://www.springframework.org/schema/beans
    http://www.springframework.org/schema/beans/spring-beans-3.1.xsd




    http://www.springframework.org/schema/util
    http://www.springframework.org/schema/util/spring-util-2.5.xsd"
>
    <bean id="soilDensityDAO"
          class="org.inra.ecoinfo.acbb.dataset.soil.soildensity.jpa.JPASoilDensityDAO"
          parent="abstractDAO"/>
    <bean id="requestPropertiesSoilDensity"
          class="org.inra.ecoinfo.acbb.dataset.soil.soildensity.impl.RequestPropertiesSoilDensity"
          parent="requestPropertiesSoil">
        <property name="dateFormat" value="yyyy/MM/dd"/>
        <property name="localizationManager" ref="localizationManager"/>
    </bean>
    <bean id="publicationSoilDensityDAO"
          class="org.inra.ecoinfo.acbb.dataset.soil.soildensity.jpa.JPAPublicationSoilDensityDAO"/>

    <bean id="soilDensityDatatype" class="java.lang.String">
        <constructor-arg type="java.lang.String">
            <value>sol_densite</value>
        </constructor-arg>
    </bean>
    <bean id="soilDensityHelper"
          class="org.inra.ecoinfo.acbb.dataset.soil.soildensity.impl.BuildSoilDensityHelper"
          parent="abstractBuildHelperSoil" scope="prototype">
        <property name="soilDensityDAO" ref="soilDensityDAO"/>
        <property name="datatypeName" ref="soilDensityDatatype"/>
    </bean>
    <bean id="deleteSoilDensity" class="org.inra.ecoinfo.acbb.dataset.impl.DeleteRecord"
          parent="deleteRecord">
        <property name="publicationDAO" ref="publicationSoilDensityDAO"/>
    </bean>
    <bean id="processRecordSoilDensity"
          class="org.inra.ecoinfo.acbb.dataset.soil.soildensity.impl.ProcessRecordSoilDensity"
          parent="abstractProcessRecordSoil">
        <property name="methodeSoilDensityDAO" ref="methodeSoilDensityDAO"/>
        <property name="methodeSampleDAO" ref="methodeSampleDAO"/>
        <property name="datatypeName" ref="soilDensityDatatype"/>
    </bean>
    <util:map id="soilDensityColumnPatterns">
        <entry key="valeur" value="^(.*)_(valeur)$"/>
        <entry key="nb" value="^(.*)_(nb)$"/>
        <entry key="et" value="^(.*)_(et)$"/>
        <entry key="methode" value="^(.*)_(methode)$"/>
        <entry key="IQ" value="^(.*)_(IQ)$"/>
    </util:map>
    <bean id="testHeadersSoilDensity" class="org.inra.ecoinfo.acbb.dataset.soil.impl.TestHeadersSoil"
          parent="genericTestHeaders">
        <property name="datatypeName" ref="soilDensityDatatype"/>
        <property name="columnPatterns" ref="soilDensityColumnPatterns"/>
        <property name="variableACBBDAO" ref="variableACBBDAO"/>
        <property name="mandatoryVariableNames">
            <list/>
        </property>
    </bean>
    <bean id="soilDensityTestValue" class="org.inra.ecoinfo.acbb.dataset.soil.impl.TestValuesSoil"
          parent="genericTestValues"/>
    <bean id="testFormatSoilDensity" class="org.inra.ecoinfo.acbb.dataset.impl.GenericTestFormat"
          parent="abstractTestFormat">
        <property name="datatypeName" ref="soilDensityDatatype"/>
        <property name="testValues" ref="soilDensityTestValue"/>
        <property name="testHeaders" ref="testHeadersSoilDensity"/>
    </bean>
    <bean id="soilDensityRecorder" class="org.inra.ecoinfo.acbb.dataset.impl.RecorderACBB"
          parent="abstractRecorderBean">
        <property name="datasetDescriptorPath" value="soil/soildensity/impl/dataset-descriptor.xml"/>
        <property name="requestPropertiesName" value="requestPropertiesSoilDensity"/>
        <property name="testFormat" ref="testFormatSoilDensity"/>
        <property name="deleteRecord" ref="deleteSoilDensity"/>
        <property name="processRecord" ref="processRecordSoilDensity"/>
    </bean>
    <!--bean id="fluxTourDatatypeManager" class="org.inra.ecoinfo.acbb.dataset.flux.impl.DefaultFluxToursDatatypeManager"
    parent="MO" / -->
</beans>
